#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,x,i,t=0,levo=0,desno=0,maxde=0,maxle=0;
    scanf("%d %d",&n,&x);
    int a[n];
    int b[n];
    for(i=0; i<n; i++)
    {
        scanf("%d",&a[i]);
    }
    for(i=0; i<n; i++)
    {
        b[i]=x-a[i];
        if(b[i]>0)
            levo=1;
        else
            desno=1;
    }

    if(levo==1)
    {
        for(i=0; i<n; i++)
        {
            if(b[i]>maxle)
                maxle=b[i];
        }
    }
    if(desno==1)
    {
        for(i=0; i<n; i++)
        {
            if(b[i]<maxde)
                maxde=b[i];
        }

    }
    if(maxle>abs(maxde))
        t=maxle+2*abs(maxde);
    else
        t=2*maxle+abs(maxde);
    printf("%d",t);


    }